import { ValidationResult } from "./results";
import { ValidationOptions } from "./options";
export declare type ValidationPredicate<T> = (value: T) => boolean;
export declare type SyncValidationFunction<T> = (value: T) => ValidationResult;
export declare type AsyncValidationFunction<T> = (value: T) => Promise<ValidationResult>;
export declare type ValidationFunction<T> = SyncValidationFunction<T> | AsyncValidationFunction<T>;
export declare type ValidateFunction = <T>(validators: ValidationFunction<T>[], value: T, options?: ValidationOptions) => Promise<string[]>;
