import { SyncValidationFunction } from "..";
export declare type IssueNumberOptions = "required" | "optional" | "prohibited";
export interface DrivingLicenceOptions {
    message?: string;
    allowNI?: boolean;
    issueNumber?: IssueNumberOptions;
}
/**
 * Creates a driving licence validator with the default options and the provided message, or the default message if none is provided.
 * @param  {string} message The error message.
 */
declare function validUKDrivingLicence(message?: string): SyncValidationFunction<string>;
/**
 * Creates a driving licence validator with the provided options.
 * @param {string} options.message A custom error message.
 * @param {string} options.allowNI Whether to allow Northern Ireland number formats. Default: false.
 * @param {IssueNumberOptions} options.issueNumber How to treat the issue number (the last two digits). Valid options: "optional" (default), "required", "prohibited".
 */
declare function validUKDrivingLicence(options: DrivingLicenceOptions): SyncValidationFunction<string>;
export { validUKDrivingLicence };
